<template>
    <div class="col-left">
        <div class="logo">
            <router-link to="admin">
                <img
                    src="../../../assets/images/logo-blue.svg"
                    class="image-responsive"
                >
            </router-link>
        </div>
        <div class="login-form-container">
            <div class="login-form">
                <div>
                    <div class="login-title">
                        Log in as admin
                    </div>
                </div>
                <div>
                    <b-form-group>
                        <div class="form-label">
                            Email address
                        </div>
                        <b-form-input
                            v-model="user.email"
                            name="email"
                            type="email"
                            class="form-control"
                        />
                    </b-form-group>
                    <div class="form-label">
                        Password
                    </div>
                    <div class="password-container">
                        <b-form-input
                            v-model="user.password"
                            name="password"
                            type="password"
                            class="form-control"
                        />
                        <router-link
                            to=""
                            class="recover-btn"
                        >
                            Recover
                        </router-link>
                    </div>
                    <div>
                        <button
                            class="btn blue-btn full-width"
                            type="button"
                            :class="{'loading-xs': loading}"
                            @click="login"
                        >
                            <template v-if="!loading">
                                Login
                                <img
                                    class="my-icon"
                                    src="/images/right-arrow.svg"
                                >
                            </template>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import api from '@/services/auth.service'

export default {
    name: "LoginForm",
    data() {
        return {
            user: {
                email: '',
                password: ''
            },       
            loading: false,   
        }
    },
    methods: {
        async login() {
            this.loading = true
            const wix = await api.login(this.user, 'wix') 
            if(wix)  {
                const result = await api.login(this.user, 'shopify')
                if(result) this.$router.push('/admin/dashboard')
            }
            this.loading = false
        },
    }
}
</script>

<style scoped lang="scss">

.form-control {
    border-radius: 11px;
    height: 42px !important;
    border: 3px solid #e4edff;

    &:focus {
        border: 3px solid #d1e0ff;
        -webkit-box-shadow: none;
        box-shadow: none;
    }
}

.my-select-menu {
    height: 45px !important;
    margin-top: 20px;
}

.form-label {
    margin-top: 10px;
    margin-bottom: 10px;
    color: #2D77F4;
    font-size: 14px;
    font-weight: normal;
}

.password-container {
    position: relative;
    padding-right: 77px;
}

.login-title {
    margin-bottom: 10px;
    font-size: 18px;
}

.recover-btn {
    position: absolute;
    right: 0;
    top: 0;
    background: #E0EBFE;
    border: 3px solid #E0EBFE;
    border-radius: 0 11px 11px 0;
    width: 87px;
    height: 42px;
    text-align: center;
    font-size: 14px;
    line-height: 36px;
}


.blue-btn {
    margin-top: 20px;
    background: #6BA2FF;
    border-color: #6BA2FF;
    border-radius: 11px;
    color: white;

    .my-icon {
        width: 9px;
    }

    &:hover {
        background: #2D77F4;
        border-color: #2D77F4;
        color: white;
    }
}

.login-form .login-shopify-subtitle {
    text-transform: uppercase;
    font-weight: bold;
    margin: 0;
}

.login-form .add-app-block-shopify {
    color: #2d77f4;
    font-weight: bold;
    font-size: 15px;
    margin-bottom: 5px;
}

a {
    text-decoration: none;
}

.login-form .add-app-block-trial-text {
    color: #6E9A52;
    font-weight: bold;
    font-size: 15px;
    margin: 0;
}

.login-form .login-shopify-title {
    text-transform: capitalize;
    font-weight: bold;
    font-size: 24px;
    margin: 0;
}

.login-form .login-shopify {
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
    padding: 15px 10px 15px 70px;
    font-size: 13px;
    line-height: 24px;
    margin-bottom: 40px;
    border: 1.5px solid rgba(211, 211, 211, 0.87);
    border-radius: 10px;
    color: black;
}

.login-form .login-shopify:before {
    position: absolute;
    left: 15px;
    top: 15px;
    content: '';
    width: 40px;
    height: 50px;
    background: url(../../../assets/images/shopify-icon-black.svg) no-repeat;
    background-size: 40px 50px;
}

.add-app-btn {
    display: block;
    width: 100%;
    border-radius: 10px;
    background-color: #2d77f4bf;
    height: 50px;
    color: white;
    text-align: center;
    padding: 15px 0;
    line-height: 1;
}

.col-left {
    position: relative;
    float: left;
    width: 50%;
    background: #ffffff;
    padding: 60px;
    color: #b3b3b3;
    min-height: 100vh;
    @media screen and (max-width: 991px){
        width: 100%;
    }
    @media(max-width: 770px) {
        min-height: auto;
    }
}

.image-responsive {
    display: block;
    max-width: 100%;
    height: auto;
}

.login-form .add-app-block {
    padding: 0 30px 0 75px;
    position: relative;
    margin-bottom: 15px;
}

.login-form-container {
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    justify-content: left;
    font-size: 16px;
}

.login-form {
    display: table;
    margin: 0 auto;
    width: 100%;
    max-width: 330px;
}

.login-form .add-app-block:before {
    position: absolute;
    left: 25px;
    top: 0;
    content: '';
    width: 36px;
    height: 45px;
    background: url(../../../assets/images/shopify-icon.png) no-repeat;
    background-size: 36px 45px;
}
</style>
